Jump to content
ElementaryOS France
  • 0

Installation GIMP en FRANÇAIS !!!


Caille
 Share

Question

Bonjour,

Cela fait un moment que j'essaye d'installer Gimp sur elementary OS 5.1.7

Je désire une version ppa des dépôts pas de flatpak ou autres Snap avec le Centre d'Applications l'installation installe une version uniquement Anglais ?

La langue de mon système est bien le Français, mais Gimp est toujours en Anglais ?

J'ai essayé de changer de langue pour le Français elle n'est pas présente, après installation des différents packs de langues Fr tout est à jour (dernière version).

Suivant les versions installés, soit elle ce lance en Anglais, soit elle ne ce lance pas, l'icône existe, mais lors du lancement la petite roue tourne quelques secondes et s'arrête sans rien lancer ?

La dernière version que j'ai installé et qui ne ce lance pas est celle-ci

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt update
sudo apt install gmic gimp-gmic

Si quelqu'un a une solution ?

De plus comment afficher les ppa installé sur le système, actuellement j'ai ça :

caille@caille-N76VB:~$ ls -l /etc/apt/sources.list.d/
total 48
-rw-r--r-- 1 root root  57 oct.   8 15:13 appcenter.list
-rw-r--r-- 1 root root  57 oct.   8 15:13 appcenter.list.save
-rw-r--r-- 1 root root 143 oct.   8 15:13 elementary.list
-rw-r--r-- 1 root root 143 oct.   8 15:13 elementary.list.save
-rw-r--r-- 1 root root  91 oct.   8 15:13 graphics:darktable:master.list
-rw-r--r-- 1 root root  91 oct.   8 15:13 graphics:darktable:master.list.save
-rw-r--r-- 1 root root 150 oct.   8 15:13 otto-kesselgulasch-ubuntu-gimp-bionic.list
-rw-r--r-- 1 root root 150 oct.   8 15:13 otto-kesselgulasch-ubuntu-gimp-bionic.list.save
-rw-r--r-- 1 root root 151 oct.   8 15:13 patches.list
-rw-r--r-- 1 root root 151 oct.   8 15:13 patches.list.save
-rw-r--r-- 1 root root 144 oct.   8 15:13 ubuntuhandbook1-ubuntu-gimp-bionic.list
-rw-r--r-- 1 root root 144 oct.   8 15:13 ubuntuhandbook1-ubuntu-gimp-bionic.list.save
-rw-r--r-- 1 root root   0 oct.   8 13:19 ubuntuhandbook1-ubuntu-ppa-bionic.list
-rw-r--r-- 1 root root   0 oct.   8 13:19 ubuntuhandbook1-ubuntu-ppa-bionic.list.save
caille@caille-N76VB:~$ 
caille@caille-N76VB:~$ grep -Rn --include=\*.list ^[^\#] /etc/apt/
/etc/apt/sources.list.d/graphics:darktable:master.list:1:deb http://download.opensuse.org/repositories/graphics:/darktable:/master/xUbuntu_18.04/ /
/etc/apt/sources.list.d/elementary.list:1:deb http://ppa.launchpad.net/elementary-os/stable/ubuntu bionic main
/etc/apt/sources.list.d/elementary.list:2:deb-src http://ppa.launchpad.net/elementary-os/stable/ubuntu bionic main
/etc/apt/sources.list.d/appcenter.list:1:deb http://packages.elementary.io/appcenter bionic main
/etc/apt/sources.list.d/otto-kesselgulasch-ubuntu-gimp-bionic.list:1:deb http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu bionic main
/etc/apt/sources.list.d/patches.list:1:deb http://ppa.launchpad.net/elementary-os/os-patches/ubuntu bionic main
/etc/apt/sources.list.d/patches.list:2:deb-src http://ppa.launchpad.net/elementary-os/os-patches/ubuntu bionic main
/etc/apt/sources.list.d/ubuntuhandbook1-ubuntu-gimp-bionic.list:1:deb http://ppa.launchpad.net/ubuntuhandbook1/gimp/ubuntu bionic main
/etc/apt/sources.list:5:deb http://fr.archive.ubuntu.com/ubuntu/ bionic main restricted
/etc/apt/sources.list:10:deb http://fr.archive.ubuntu.com/ubuntu/ bionic-updates main restricted
/etc/apt/sources.list:16:deb http://fr.archive.ubuntu.com/ubuntu/ bionic universe
/etc/apt/sources.list:18:deb http://fr.archive.ubuntu.com/ubuntu/ bionic-updates universe
/etc/apt/sources.list:26:deb http://fr.archive.ubuntu.com/ubuntu/ bionic multiverse
/etc/apt/sources.list:28:deb http://fr.archive.ubuntu.com/ubuntu/ bionic-updates multiverse
/etc/apt/sources.list:36:deb http://fr.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse
/etc/apt/sources.list:46:deb http://security.ubuntu.com/ubuntu bionic-security main restricted
/etc/apt/sources.list:48:deb http://security.ubuntu.com/ubuntu bionic-security universe
/etc/apt/sources.list:50:deb http://security.ubuntu.com/ubuntu bionic-security multiverse
caille@caille-N76VB:~$ 

Cordialement.

Link to comment
Share on other sites

10 answers to this question

Recommended Posts

  • 0

SAlut @Caille

je ne sais pas pourquoi tu as eu toutes ces complications avec gimp mais c'est bien si tu as résolu ton problème.

Tu as l'air de savoir ce que tu fais, je ne partage pas ta confiance dans les ppa par rapport à apt ou flatpack ou même snap, en multipliant les sources de dépôts on peut créer des incompatibilités de versions.

 

Link to comment
Share on other sites

  • 0

Bonjour @lafy

Merci pour ta réponse !

Je ne possède pas beaucoup de ppa d'installé sur mes systèmes Linux, cela ne m'a donc jamais posé le moindre problème.

Le principal que j'utilise est celui de Darktable, qui est la version développement de ce logiciel. (darktable_3.3.0_git1045.c3b436ebb_amd64.deb)

https://software.opensuse.org/download.html?project=graphics:darktable:master&package=darktable

De toute façon il est probablement impossible d'installer une version développement en Snap, Flatpack ou autre apt car indisponible dans les dépôts ?

Je n'aime pas les Snap et autres Flatpack car ça me fait plutôt penser à Windows qu'a Linux.

Cordialement.

Link to comment
Share on other sites

  • 0

Pas de soucis, on vois bien que tu sais ce que tu fais, c'était plus par curiosité !

Il y a aussi la solution de compiler les sources; après sur une version en développement on peut choisir si  toutes les modifs ont besoin d'être mises à jour.

Il y a 3 heures, Caille a dit :

PS: Pourquoi que ma dernière réponse est entourée de "rose" et indiqué "Masqué" ?

Les liens externes sont mis en attente à cause des spammeurs...

Link to comment
Share on other sites

  • 0
Le 10/10/2020 à 15:39, Caille a dit :

Bonjour @lafy

Merci pour ta réponse !

Je ne possède pas beaucoup de ppa d'installé sur mes systèmes Linux, cela ne m'a donc jamais posé le moindre problème.

Le principal que j'utilise est celui de Darktable, qui est la version développement de ce logiciel. (darktable_3.3.0_git1045.c3b436ebb_amd64.deb)

https://software.opensuse.org/download.html?project=graphics:darktable:master&package=darktable

De toute façon il est probablement impossible d'installer une version développement en Snap, Flatpack ou autre apt car indisponible dans les dépôts ?

Je n'aime pas les Snap et autres Flatpack car ça me fait plutôt penser à Windows qu'a Linux.

Cordialement.

Hello,

Je serai intéressé d'avoir ton retour sur la partie Snap et Flatpack ? Qu'est-ce qui ne va pas ?

Nikos

Link to comment
Share on other sites

  • 0

Bonjour Nikos,

Non, il n'y a rien qui ne va pas au sujet des Snap et Flatpack, c'est peut-être un progrès mais je n'en suis pas certain, ça alourdi le système.

L'avantage est plutôt du côté des développeurs, cela permet de créer des applications tout en un qui fonctionnent sur tous les systèmes Linux.

Je n'aime simplement pas les choses imposées, j'aime être libre, de plus comment faire des mises à jour des versions développement en Snap / Flatpack ?

Cordialement.

Link to comment
Share on other sites

  • 0

Hello @Caille,

Pas que du point de vue des dev, des utilisateurs aussi, toutes les dépendances sont incorporées sans impacter le système et ça c'est un plus aussi. Pour les flatpak, la mise à jour se fait via l'AppCenter, comme une application classique.

Pour le format snap, je ne l'ai jamais utilisé.

Nikos

Link to comment
Share on other sites

  • 0

Bonjour,

Je repose donc ma question, quelqu'un qui connais les Snaps me donnera peut-être la réponse.

Comment utiliser les versions développements à partit des Snaps, pour les flatpaks, y-a-t-il est versions développements de Darktable via l'AppCenter ?

Link to comment
Share on other sites

  • 0

Hello,

Pour installer un snap, il faut passer par le store snapcraft, puis, pour installer une version dev d'un produit via snap, il faut que ladite version soit disponible sur snapcraft. Tu peux regarder, par exemple VLC : il y a plusieurs versions disponible.

Pour Darktable par flatpak, techniquement tu peux installer différente version d'un même flatpak.... Sous réserve que les flatpak en question soient bien dispo.

Nikos

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...